%define pkgversion 0.8
Name: x11-data-xkbdata
Version: 1.0.1
Release: %mkrel 5
BuildArch: noarch
Summary: Alternative xkb data files
URL:   http://www.freedesktop.org/wiki/Software_2fXKeyboardConfig
Group: Development/X11
Source: http://xlibs.freedesktop.org/xkbdesc/xkeyboard-config-%{pkgversion}.tar.bz2 
Patch0: xkbdata-1.0.1-fixkbd.patch
Patch1: xkbdata-1.0.1-remove_duplicated.patch
Patch2: xkbdata-1.0.1-newkbd.patch
# for compatibility
Patch3: xkbdata-1.0.1-oldkbd.patch
License: MIT
Packager: Gustavo Pichorim Boiko <boiko@mandriva.com>
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: xkbcomp >= 1.0.1
BuildRequires: perl-XML-Parser

%description
Xkeyboard-config provides consistent, well-structured, frequently released of X
keyboard configuration data (XKB) for various X Window System implementations.

%prep
%setup -q -n xkeyboard-config-%{pkgversion}
# Keyboard fixes patches -- pablo
%patch0 -p1 -b .fixkbd
# remove duplicate keyboards from the list
%patch1 -p1 -b .remdup
# New keyboard layouts -- pablo
%patch2 -p1 -b .newkbd
# Some old keyboard names, for compatibility (to remove for 2008) -- pablo
%patch3 -p1 -b .oldkbd

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--enable-compat-rules \
    		--with-xkb-base=%{_datadir}/X11/xkb \
    		--disable-xkbcomp-symlink \
    		--with-xkb-rules-symlink=xorg

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_localstatedir}/xkb

%clean
rm -rf %{buildroot}

%pre
# this was a directory in the old installation
if [ -d "%{_datadir}/X11/xkb/compiled" ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files
%defattr(-,root,root)
%dir %{_datadir}/X11/xkb/
%dir %{_localstatedir}/xkb
%{_datadir}/X11/xkb/*


%changelog
* Thu Aug 31 2006 Pablo Saratxaga <pablo@mandriva.com>
+ 2006-08-31 15:21:11 (59002)
- updated keyboard list

* Thu Aug 31 2006 Pablo Saratxaga <pablo@mandriva.com>
+ 2006-08-31 14:24:56 (58983)
- updated keyboard list

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 18 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-18 14:17:55 (27610)
- Add packager tag
- Check if /usr/share/X11/xkb/compiled is a directory, and if it is, remove
  before creating the symlink
- Creating the target dir for the /usr/share/X11/xkb/compiled symlink

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-17 12:37:04 (27511)
- add URL

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-17 12:36:50 (27510)
- fix description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
